

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">Hinzufügen der API-Schlüssel</h1>
            </div><!-- /.col -->
            
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            <!-- Small boxes (Stat box) -->
            
            <!-- /.row -->
            <!-- Main row -->
            
            <!-- /.row (main row) -->
            </div><!-- /.container-fluid -->
            <div class="container-fluid">
    
    
    
    
    
    
        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            
            <div class="row">
                <div class="col-12">
                    <h5>Environnement actuel</h5>
                    <% if(paypalpaymentsettings[0]?.currenvtype=="sandbox"){ %>
                        <span>Sandbox:<input type="radio" value="sandbox" checked name="currenv" onchange="changecurrentenv()"/></span><span style="margin-left: 50px;">Live:<input type="radio" value="live" name="currenv" onchange="changecurrentenv()"/></span><br/><br/>
                        <% }else if(paypalpaymentsettings[0]?.currenvtype=="live"){%>
                            <span>Sandbox:<input type="radio" value="sandbox" name="currenv" onchange="changecurrentenv()"/></span><span style="margin-left: 50px;">Live:<input type="radio" value="live" name="currenv" checked onchange="changecurrentenv()"/></span><br/><br/>
                            <% }else{%>
                                <span>Sandbox:<input type="radio" value="sandbox" name="currenv" checked onchange="changecurrentenv()"/></span><span style="margin-left: 50px;">Live:<input type="radio" value="live" name="currenv"  onchange="changecurrentenv()"/></span><br/><br/>
                                <% }%>
                    
                    <select  class="form-control" id="env_type" onchange="toggleenvtype()">
                        <option value="sandbox">Sandbox</option>
                        <option value="live">Live</option>
                   </select>
                   <br>
                        <!-- general form elements -->
                        <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Paypal</h3>
                        </div>
                        <!-- /.card-header -->
                        <!-- form start -->
                        <form>
                            
                            <div class="card-body">
                               
                            <div class="form-group">
                                <label for="exampleInputEmail1">API Key</label>
                                <input type="text"   class="form-control" id="api_key_paypal" value="<%= paypalpaymentsettings[0]?.testapikey %>">
                               
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">API secret</label>
                                <input type="text" class="form-control" id="api_secret_paypal" value="<%= paypalpaymentsettings[0]?.testapisecret %>" >
                            </div>
                            
                            </div>
                            <!-- /.card-body -->
            
                            <div class="card-footer">
                            <button type="button" onclick="handlesubmit('paypal')"   class="btn btn-primary">Mise à jour</button>
                            </div>
                        </form>
                        </div>
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Stripe</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form>
                            <div class="card-body">
                                
                                <div class="form-group">
                                <label for="exampleInputEmail1">API Key</label>
                                <input type="text" class="form-control" id="api_key_stripe" value="<%= stripepaymentsettings[0]?.testapikey  %>">
                             
                            </div>
                                <div class="form-group">
                                <label for="exampleInputPassword1">API secret</label>
                                <input type="text" class="form-control" id="api_secret_stripe" value="<%= stripepaymentsettings[0]?.testapisecret%>" >
                                </div>
                            
                            </div>
                            <!-- /.card-body -->
            
                            <div class="card-footer">
                                <button type="button" onclick="handlesubmit('stripe')" class="btn btn-primary">Mise à jour</button>
                            </div>
                            </form>
                        </div>
                <!-- /.card -->
    
            
                <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
        
    
    
    <script>
        $(function () {
        $("#example1").DataTable({
            "responsive": true, "lengthChange": false, "autoWidth": false,
            "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
        });
        });
        function handlesubmit(paymentprovider){
           var apikey ;
              var apisecret ;
         var env_type = $('#env_type').val();
           if(paymentprovider == 'paypal'){
           apikey = $('#api_key_paypal').val();
              apisecret = $('#api_secret_paypal').val();
            
        }else if(paymentprovider == 'stripe'){
            apikey = $('#api_key_stripe').val();
            apisecret = $('#api_secret_stripe').val();
        }
          
            var data = {
                apikey: apikey,
                apisecret: apisecret,
                paymentprovider: paymentprovider,
                env_type: env_type
            };
            var baseurl= "<%= base_url %>";
            var url= baseurl+"create_payment_setting";
           
            const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message)
                window.location.reload();
            }else{
                toastr.error(data.message)
            }
        })
            }
    function toggleenvtype(){
     var env_type = $('#env_type').val();
     if(env_type == 'sandbox'){
         $('#api_key_paypal').val('<%= paypalpaymentsettings[0]?.testapikey %>');
         $('#api_secret_paypal').val('<%= paypalpaymentsettings[0]?.testapisecret %>');
         $('#api_key_stripe').val('<%= stripepaymentsettings[0]?.testapikey %>');
            $('#api_secret_stripe').val('<%= stripepaymentsettings[0]?.testapisecret %>');
     }else if(env_type == 'live'){
        $('#api_key_paypal').val('<%= paypalpaymentsettings[0]?.liveapikey %>');
         $('#api_secret_paypal').val('<%= paypalpaymentsettings[0]?.liveapisecret %>');
         $('#api_key_stripe').val('<%= stripepaymentsettings[0]?.liveapikey %>');
            $('#api_secret_stripe').val('<%= stripepaymentsettings[0]?.liveapisecret %>');
     }
    }
    function changecurrentenv(){
        const currentenv=document.querySelector('input[name="currenv"]:checked').value;
        var baseurl= "<%= base_url %>";
            var url= baseurl+"changecurrentenv";
            var data = {
                currentenv:currentenv
            };
          
           
            const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message)
                window.location.reload();
            }else{
                toastr.error(data.message)
            }
        })

    }
    </script>
    
    
            </div>
        
        </section>
    
        <!-- /.content -->
    </div>
    
    </div>
    <!-- ./wrapper -->

   